package com.yunzhi.nanyang.common;

import com.yunzhi.nanyang.entity.SysUser;
import com.yunzhi.nanyang.service.ISysUserService;
import com.yunzhi.nanyang.shiro.utils.JWTUtil;
import org.apache.shiro.SecurityUtils;
import org.apache.shiro.subject.Subject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BaseController {

    @Autowired
    ISysUserService iSysUserService;

    public String currentLoginId() {
        Subject subject = SecurityUtils.getSubject();
        String token = subject.getPrincipal().toString();
        return JWTUtil.getLoginId(token);
    }

    public SysUser currentUser() throws Exception {
        String loginId = currentLoginId();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        SysUser user = iSysUserService.getByLoginId(loginId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            throw new Exception("人员不存在");
        }

        return user;
    }
}
